# RSL_get_value...

### Synopsis

#include "rsl.h"
float RSL_get_value(Volume *v, float elev, float azimuth, float range);
float RSL_get_value_at_h(Volume *v, float azim, float grnd_r, float h);
float RSL_get_value_from_ray(Ray *ray, float r);
float RSL_get_value_from_sweep(Sweep *s, float azim, float r);

###

Description

RSL_get_value: Find a value in the Volume v using polar coordinate specification. The search returns the closest point. Although there is no restriction concerning azimuth values, other functions rely on the range being 0 to +360. This may change. Nexrad happened to use this range so I use it for now.

RSL_get_value_at_h: Returns a value when the coordinate is specified by ground range and height. Both ground range and height are specified in km.

RSL_get_value_from_ray: Return a value for the slant range r. Basically, r is converted to an index based on the gate size.

Vget_value_from_sweep: Get a value from a Sweep, s, given the azimuth azim and range r.

### Return value

Upon successful completion, a valid floating point number is returned. Note, the value could be BADVAL.

### See also

Author: John H. Merritt